Package org.drinkless.tdlib

# Class TdApi.UpdateFileDownload

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateFileDownload

Enclosing class:
  `TdApi`

public static class TdApi.UpdateFileDownload extends TdApi.Update
A file download was changed. This update is sent only after file download list is loaded for the first time.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `completeDate`
  Point in time (Unix timestamp) when the file downloading was completed; 0 if the file downloading isn't completed.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.DownloadedFileCounts`
  `counts`
  New number of being downloaded and recently downloaded files found.
  `int`
  `fileId`
  File identifier.
  `boolean`
  `isPaused`
  True, if downloading of the file is paused.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateFileDownload()`
  A file download was changed.
  `UpdateFileDownload(int fileId, int completeDate, boolean isPaused, TdApi.DownloadedFileCounts counts)`
  A file download was changed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### fileId

    public int fileId
    File identifier.

  - ### completeDate

    public int completeDate
    Point in time (Unix timestamp) when the file downloading was completed; 0 if the file downloading isn't completed.

  - ### isPaused

    public boolean isPaused
    True, if downloading of the file is paused.

  - ### counts

    public TdApi.DownloadedFileCounts counts
    New number of being downloaded and recently downloaded files found.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateFileDownload

    public UpdateFileDownload()
    A file download was changed. This update is sent only after file download list is loaded for the first time.

  - ### UpdateFileDownload

    public UpdateFileDownload(int fileId, int completeDate, boolean isPaused, TdApi.DownloadedFileCounts counts)
    A file download was changed. This update is sent only after file download list is loaded for the first time.
    Parameters:
      `fileId` - File identifier.
      `completeDate` - Point in time (Unix timestamp) when the file downloading was completed; 0 if the file downloading isn't completed.
      `isPaused` - True, if downloading of the file is paused.
      `counts` - New number of being downloaded and recently downloaded files found.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR